--- old/usr/src/uts/common/sys/sdt.h	2014-04-12 11:18:56.552856244 +0000
+++ new/usr/src/uts/common/sys/sdt.h	2014-04-12 11:18:56.560193414 +0000
@@ -332,6 +332,32 @@
 	DTRACE_PROBE5(__udp_##name, type1, arg1, type2, arg2,		\
 	    type3, arg3, type4, arg4, type5, arg5);
 
+#define	DTRACE_SCTP(name)						\
+	DTRACE_PROBE(__sctp_##name);
+
+#define	DTRACE_SCTP1(name, type1, arg1)					\
+	DTRACE_PROBE1(__sctp_##name, type1, arg1);
+
+#define	DTRACE_SCTP2(name, type1, arg1, type2, arg2)			\
+	DTRACE_PROBE2(__sctp_##name, type1, arg1, type2, arg2);
+
+#define	DTRACE_SCTP3(name, type1, arg1, type2, arg2, type3, arg3)	\
+	DTRACE_PROBE3(__sctp_##name, type1, arg1, type2, arg2, type3, arg3);
+
+#define	DTRACE_SCTP4(name, type1, arg1, type2, arg2,			\
+    type3, arg3, type4, arg4)						\
+	DTRACE_PROBE4(__sctp_##name, type1, arg1, type2, arg2,		\
+	    type3, arg3, type4, arg4);
+
+#define	DTRACE_SCTP5(name, type1, arg1, type2, arg2,			\
+    type3, arg3, type4, arg4, type5, arg5)				\
+	DTRACE_PROBE5(__sctp_##name, type1, arg1, type2, arg2,		\
+	    type3, arg3, type4, arg4, type5, arg5);
+
+#define	DTRACE_SCTP6(name, type1, arg1, type2, arg2,			\
+    type3, arg3, type4, arg4, type5, arg5, type6, arg6)			\
+	DTRACE_PROBE6(__sctp_##name, type1, arg1, type2, arg2,		\
+	    type3, arg3, type4, arg4, type5, arg5, type6, arg6);
 
 #define	DTRACE_SYSEVENT2(name, type1, arg1, type2, arg2)		\
 	DTRACE_PROBE2(__sysevent_##name, type1, arg1, type2, arg2);
